# Get Current User Information

Retrieves the profile information of the currently authenticated user. 

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/user/me": {
      "get": {
        "summary": "Get Current User Information",
        "description": "Easily retrieve and manage your account details with a HeyGen API",
        "operationId": "get-current-user-information",
        "responses": {
          "200": {
            "description": "User information retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "code": 100,
                      "data": {
                        "username": "15ebafd83a8521f0b8d56a14c8a4bd72",
                        "email": "john.doe@gmail.com",
                        "first_name": "John",
                        "last_name": "Doe"
                      },
                      "msg": null,
                      "message": null
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "description": "Status code indicating the result of the API request. A 100 indicates a successful response. Other codes might indicate different types of errors. Refer to the <a href=\"https://docs.heygen.com/reference/errors\" target=\"_blank\">Error Responses</a> for more details."
                    },
                    "data": {
                      "type": "object",
                      "description": "Contains the authenticated user's profile information. ",
                      "properties": {
                        "username": {
                          "type": "string",
                          "description": "Unique identifier associated with the user's Heygen account. "
                        },
                        "email": {
                          "type": "string",
                          "description": "Registered email address of the user. "
                        },
                        "first_name": {
                          "type": "string",
                          "description": "The user's first name as provided in their account. "
                        },
                        "last_name": {
                          "type": "string",
                          "description": "The user's last name as provided in their account. "
                        }
                      }
                    },
                    "msg": {
                      "type": "string",
                      "description": "Legacy field for messages. This field is deprecated."
                    },
                    "message": {
                      "type": "string",
                      "description": "New field for messages. Contains human-readable messages explaining the status of the request. In case of errors, it returns an explanation."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```